Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
violettim

lisp quay goc nghieng

Các bài được khuyến nghị

cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

1. UC DDUCS Đưa ra hộp thoại quản lý hệ toạ độ người dùng đ• được xác định trong không gian hiện hành

2. UCP DDUCSP Đưa ra hộp thoại có thể chọn 1 hệ toạ độ người dùng được xác lập trước

3. UN UNITS Chọn các dạng thức toạ độ chính xác của toạ độ và góc

4. UNI UNION Tạo ra vùng tổng hợp hoặc cố thể tổng hợp

Có cách tạo kiểu UCS, anh thử mầy mò xem nhé:

Command: ucs

Current ucs name: *TOP*

Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]

<World>: z

Specify rotation angle about Z axis <90>: 30

Command:

UCS

Current ucs name: *NO NAME*

Specify origin of UCS or [Face/NAmed/OBject/Previous/View/World/X/Y/Z/ZAxis]

<World>:

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

Sao bạn không để chế độ vẽ hình chiếu trục đo Isometric snap

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

Tham khảo coi, *chưa kịp gõ tiếng việt mà nó cứ đòi gõ*

(defun c:R90  ()(command "ROTATE" pause "" "@" "90")(princ))
(defun c:R30  ()(command "rotate" pause "" "@" "30")(princ))
(defun c:r45  ()(command "rotate" pause "" "@" "45")(princ))
(defun c:r15  ()(command "rotate" pause "" "@" "15")(princ))
(defun c:r60  ()(command "rotate" pause "" "@" "60")(princ))
(defun c:r-90 ()(command "rotate" pause "" "@" "-90")(princ))
(defun c:r180 ()(command "rotate" pause "" "@" "180")(princ))
(defun c:r-180 ()(command "rotate" pause "" "@" "-180")(princ))
(defun c:r-60 ()(command "rotate" pause "" "@" "-60")(princ))
(defun c:r-45 ()(command "rotate" pause "" "@" "-45")(princ))
(defun c:r-15 ()(command "rotate" pause "" "@" "-15")(princ))
(defun c:r-30 ()(command "rotate" pause "" "@" "-30")(princ))

http://www.cadviet.com/upfiles/2/ro.lsp

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

cái này theo mình không cần lisp làm gì cho mệt,mất công mấy anh trong diên đàn viết,theo mình thi bạn cứ chọn các đối tượng(block, text.....) ctril+1,trong hộp thoại này bạn xuông thanh (misc),chọn rotation roi cho vào đấy giá trị mà bạn muốn quay la được,đâu cần phải lisp cho mất công,theo mình là vậy,

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cái này theo mình không cần lisp làm gì cho mệt,mất công mấy anh trong diên đàn viết,theo mình thi bạn cứ chọn các đối tượng(block, text.....) ctril+1,trong hộp thoại này bạn xuông thanh (misc),chọn rotation roi cho vào đấy giá trị mà bạn muốn quay la được,đâu cần phải lisp cho mất công,theo mình là vậy,

uh thì cũng đuợc, nhung nếu bạn có 1 bộ lisp riêng của mình thì bạn sẽ thấy cái hay dù nhỏ..........khi sửa lệnh theo ý muốn của mình, và bạn sở hữu nó...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
cho mình hỏi có lisp nào mà quay góc nghieng 30do, 45 do, 60do cho nhanh khong nhi. vì mình hay phải vẽ dạng hình chieu truc do nen neu dung lệnh ro roi 30,60,90 rat lau, giò muốn dùng lệnh luôn như là r1,r2,r3 để quay luôn đối tượng?

1- đặt UCS với góc nghiêng 30 độ

Muốn ghi kiểu USD :

Gõ UCS.... hiện dòng nhắc... gõ S .... gõ tên UCS là R1

2- đặt UCS với góc nghiêng 60 độ

Muốn ghi kiểu USD :

Gõ UCS.... hiện dòng nhắc... gõ S .... gõ tên UCS là R2

3- Muốn vẽ trên mặt R1 hoặc R2

Bạn gõ UCS... gõ R .... gõ tên R1 hoặc R2...

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vậy còn xoay trên 3d thì sao bạn có thể viết lisp xoay khối 3d được không.

 

ví dụ ta muốn xoay góc 45 độ \ gán lệnh ( ROTATE3D ) thành r3d45 mà chỉ cần bấm lệnh đó rồi chị chon trục để nó tự xoay 1 góc 45 đọ đc k.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×